---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
name: cp-laptop
base-image: registry.gitlab.com/wunker-bunker/wunker-os/kinoite
image-version: latest
description: The image of Wunker OS for CP's laptop.
stages:
  - from-file: common/spyro2-rando-client.yaml
modules:
  - from-file: common/common.yml
  - type: dnf
    install:
      packages:
        - xdg-terminal-exec
        - borgbackup
        - vorta
        - libadwaita
        - cronie
        - fprintd
        - fprintd-pam
        - libreoffice
        - https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm
        - mono-core
  - type: files
    files:
      - source: archipelago
        destination: /
  - type: script
    scripts:
      - install-archipelago.sh
  - from-file: common/ms-fonts.yml
  - from-file: common/updates.yml
  - from-file: common/spyro2-rando-client.yaml
  - from-file: common/post-build.yml
